<?
if(isset($_POST['name']) && isset($_POST['city']) && isset($_POST['date']) && isset($_POST['contacts']) && $_POST['mdp']==$ku['mdp'])
{
if(strlen2($_POST['name'])<=64)$ku['name']=update_ku('name',my_esc($_POST['name']));
else {$err=1;err_game("Количество символов в поле \"Реальное имя\" больше 64");}
if(strlen2($_POST['city'])<=64)$ku['city']=update_ku('city',my_esc($_POST['city']));
else {$err=1;err_game("Количество символов в поле \"Город\" больше 64");}
if(strlen2($_POST['contacts'])<=64)$ku['contacts']=update_ku('contacts',my_esc($_POST['contacts']));
else {$err=1;err_game("Количество символов в поле \"Контакты\" больше 64");}
$q=explode('/',$_POST['date']);
if($_POST['date']==NULL || strlen2($q[0])==2 && is_numeric($q[0]) && strlen2($q[1]) && is_numeric($q[1]) && strlen2($q[2])==4 && is_numeric($q[2]))$ku['date']=update_ku('date',$_POST['date']);
else {$err=1;err_game("Дата рождения должна быть формата dd/mm/yyyy");}
if(!isset($err))msg_game("Настройки успешно сохранены.");
}
?>
<div class="event">
<h1>О себе</h1>
</div>
<div class="content">
<div class="block">
<form method="post"><div
style="width:0px;height:0px;position:absolute;left:-100px;top:-100px;overflow:hidden"><input type="hidden" name="mdp" value="<? echo $ku['mdp'];?>"></div>
<ul>
<li>
<label>Реальное имя:<br>
<input type="text" value="<? echo hsc($ku['name']);?>" name="name">
</label>
</li>
<li class="pt">
<label>Город:<br>
<input type="text" value="<? echo hsc($ku['city']);?>" name="city">
</label>
</li>
<li class="pt">
<label>Дата рождения:<br>
<input type="text" value="<? echo hsc($ku['date']);?>" name="date"><br>
<div class="small minor">Формат: 15/12/1993</div>
</label>
</li>
<li class="pt">
<label>Контакты:<br>
<input type="text" value="<? echo hsc($ku['contacts']);?>" name="contacts">
</label>
</li>
<li class="pt">
<input type="submit" value="Сохранить">
</li>
</ul>
</form>
</div>
<? include_once 'inc/foot.php';?>